import { Extension } from '@codemirror/state';
import { TagStyle } from '@codemirror/language';
interface Options {
    variant: Variant;
    settings: Settings;
    styles: TagStyle[];
}
declare type Variant = 'light' | 'dark';
interface Settings {
    background: string;
    foreground: string;
    caret: string;
    selectionBackground: string;
    selectionForeground?: string;
    lineHighlight: string;
    gutterBackground: string;
    gutterForeground: string;
}
declare const createTheme: ({ variant, settings, styles }: Options) => Extension;
export default createTheme;
